Package com.google.android.exoplayer2.extractor

## Interface ExtractorsFactory

- All Known Implementing Classes:
    `DefaultExtractorsFactory`

      public interface ExtractorsFactory

  Factory for arrays of `Extractor` instances.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ExtractorsFactory` | `EMPTY` | Extractor factory that returns an empty list of extractors.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Extractor[]` | `createExtractors()` | Returns an array of new `Extractor` instances.
    `default Extractor[]` | `createExtractors​(Uri uri, Map<String,​List<String>> responseHeaders)` | Returns an array of new `Extractor` instances.

- - ### Field Detail

    - #### EMPTY

          static final ExtractorsFactory EMPTY

      Extractor factory that returns an empty list of extractors. Can be used whenever `Extractors` are not required.

  - ### Method Detail

    - #### createExtractors

          Extractor[] createExtractors()

      Returns an array of new `Extractor` instances.

    - #### createExtractors

          default Extractor[] createExtractors​(Uri uri,
                                               Map<String,​List<String>> responseHeaders)

      Returns an array of new `Extractor` instances.
      Parameters:
        `uri` - The `Uri` of the media to extract.
        `responseHeaders` - The response headers of the media to extract, or an empty map if there are none. The map lookup should be case-insensitive.
      Returns:
        The `Extractor` instances.